Subject: [Dime] Proposed updates to draft-ietf-dime-realm-based-redirect-04

From: Tom Taylor <[email-masked]>
Date: Fri, 06 Jul 2012 09:54:29 -0400

I would like to make the following changes to 
draft-ietf-dime-realm-based-redirect-04, which needs refreshing in any 
event:

1) Add the use case Ruibing Hao recently described into the first section.

2) Add text describing what a client does when presented with an error 
code other than the DIAMETER_REALM_REDIRECT_INDICATION Result-Code from 
a realm it didn't send a request to. Jouni pointed out that this could 
happen.

3) Make redirection a function of proxies rather than redirect agents, 
because the behaviour is application-specific. Avi Lior made this 
particular point, and I feel more strongly than ever that the point is 
valid. I asked whether I could do this last January, but no one 
responded. Now I'm going to go the other way: silence means consent.

Please comment if you have objections. I will act to meet the expiry 
deadline of July 13 (next Friday).

Tom Taylor